CodeIgniter Forums
Ignition Go updated, works w/ PHP 7.1, Bootstrap 3.3.x, jQuery 3.1.x - Printable Version

+- CodeIgniter Forums (https://forum.codeigniter.com)
+-- Forum: External Resources (https://forum.codeigniter.com/forum-7.html)
+--- Forum: Addins (https://forum.codeigniter.com/forum-13.html)
+--- Thread: Ignition Go updated, works w/ PHP 7.1, Bootstrap 3.3.x, jQuery 3.1.x (/thread-69132.html)



Ignition Go updated, works w/ PHP 7.1, Bootstrap 3.3.x, jQuery 3.1.x - visualsol - 10-12-2017

Ignition-Go is a CodeIgniter 3.x Modular (HMVC) App Building Framework - to build enterprise class web applications... 

Use quickstart branch to skip over bower and npm, and gulp.

It's been updated for the latest versions of all bower components, including AdminLTE 2.4.  And so far it is running in PHP 7.1 without problem... but we need more people ie YOU to give it a go!

Link: ci-blox/Ignition-Go

A slimmer version of Ignition Go is planned for CI4!

Updates will post on this new thread.

[Image: Ignition-Go-themes.jpg] [Image: Ignition-Go-admin.jpg]


RE: Ignition Go updated, works w/ PHP 7.1, Bootstrap 3.3.x, jQuery 3.1.x - ChicagoPhil - 10-12-2017

Couple of things:

The form you have to fill out for database password isn't a password field.

The database tables won't install probably do to back-ticks. Not sure about that one but I'm not getting past the database part of install init at the moment.

Can't say to much more about it at this point.

Good Luck


RE: Ignition Go updated, works w/ PHP 7.1, Bootstrap 3.3.x, jQuery 3.1.x - visualsol - 10-16-2017

Phil,
Thanks for taking a peek!
The installer was just updated recently to allow bypass of the connection step, as it only supports mysqli and it's only for convenience. i'm not sure what you ran into, but aybe you could try setting your database.php in advance?
i'm not sure what you mean about the back ticks, they are permitted in mysql.
The installer also should be removed after one time successful use.
If you still get stuck, please open an issue in github.
Thanks,
Bob

(10-12-2017, 01:50 PM)ChicagoPhil Wrote: Couple of things:

The form you have to fill out for database password isn't a password field.

The database tables won't install probably do to back-ticks. Not sure about that one but I'm not getting past the database part of install init at the moment.

Can't say to much more about it at this point.

Good Luck